#####  11 :   ,  

#  11.2 ( t   )
#
x <- seq (from=-3,to=3,by=0.01)
#
plot(x,dnorm(x),type="l",xlab="t",ylab="f(t)",col="grey50",las=1,ylim=c(0,0.4)) #  (z)
lines(x,dt(x,1),col="grey30",lty=2) # t(1)
lines(x,dt(x,30),col="black",lty=1) # t(30)
#
text(2.5,dt(2.5,1),"t(1)",col="grey30",pos=3)
text(1.8,dt(1.8,30),"t(30)",pos=4)
text(2.5,dnorm(2.5),"t(\u221e) = z",col="grey50",pos=2)

#       
#
#             ch11
read.table("chapter11.Rdata")->ch11

#     
str(ch11)

#         t   
t.test(ch11$anxiety,mu=35.7)

#      
m<-mean(ch11$anxiety)   #  
s<-sd(ch11$anxiety)     #  
N<-length(ch11$anxiety) #   ( )
se<-s/sqrt(N)           #  
t<-(m-35.7)/se          #  t    35.7
df<-N-1                 #  
p<-2*(1-pt(t,df))       #     

#    95%
tc<-qt((1-0.05/2),df)   #   
ci<-tc*se               #     
CI95<-c(m-ci,m+ci)      #     
