#####  5 :  

#       
read.table("chapter5.Rdata")->ch5

#      
p1<-ch5$performance[ch5$class=="1 "]
p2<-ch5$performance[ch5$class=="2 "]

# 
names(sort(table(p1),decreasing=T))[1]
names(sort(table(p2),decreasing=T))[1]
# 
median(p1)
median(p2)
#  
mean(p1)
mean(p2)

# 
stem(p1,scale=3)
stem(p2,scale=3)

# 
diff(range(p1))+1
diff(range(p2))+1

# 1  3  (=25  75 )
quantile(p1,c(1/4,3/4))
quantile(p2,c(1/4,3/4))

#     (, 1 ., , 3 ., )
fivenum(p1)
fivenum(p2)
# ...     boxplot.stats

# ,      
summary(p1)
summary(p2)

#   (    )
IQR(p1)
IQR(p2)
# ,     
diff(quantile(p1,c(1/4,3/4)))
diff(quantile(p2,c(1/4,3/4)))

#       
mean(abs(p1-mean(p1)))
mean(abs(p2-mean(p2)))

#  
sqrt(sum((p1-mean(p1))^2)/(length(p1)-1))
sqrt(sum((p2-mean(p2))^2)/(length(p2)-1))
#   ,     (     -1)
sqrt(sum((p1-mean(p1))^2)/length(p1))
sqrt(sum((p2-mean(p2))^2)/length(p2))
#    ()
sqrt((sum(p1^2)-((sum(p1))^2)/(length(p1)))/(length(p1)-1))
sqrt((sum(p2^2)-((sum(p2))^2)/(length(p2)))/(length(p2)-1))
# ..  
sd(p1)
sd(p2)

#  ,     psych
library(psych)
describe.by(ch5$performance,ch5$class)
#  ,     with 
with(ch5,describe.by(performance,class))

#####

# 
boxplot(p1)
boxplot(p2)

#    2     
boxplot(p1,horizontal=T,at=1,xlim=c(0,3))
boxplot(p2,horizontal=T,add=T,at=2)

#   2        ( 5.3, . 117)
boxplot(performance~class,ch5,horizontal=T,col="grey50",boxwex=0.3,medlwd=5,whisklty=1,whisklwd=3,staplelwd=0,outpch=19)

#     SPSS ( 5.3, . 121)
par(font.lab=2) #   
boxplot(performance~class,ch5,boxwex=0.25,medlwd=3,whisklty=1,whisklwd=2,las=1,xlab="class",ylab="performance",ylim=c(8,20),boxfill="grey80",bg="green")
boxplot(performance~class,ch5,plot=F)->b #      
ch5$category<-as.numeric(ch5$class)      
ch5$outliers<-ch5$performance<b$stats[1,ch5$category]
o<-ch5[ch5$outliers,]
text(o$category,o$performance,rownames(o),adj=c(-0.5,0.5)) #     
par(font.lab=1)
