read.table("chapter4.Rdata",header=T)->ch4

# Πίνακας συχνοτήτων
table(ch4)->t4
# Πλήθος τιμών
nrow(ch4)

# Για να βρούμε τη δεσπόζουσα τιμή, ταξινομούμε κατά φθίνουσα σειρά...
sort(t4,decreasing=T)->s4
# και επιλέγουμε την ετικέτα του πρώτου στοιχείου, δηλαδή του συχνότερου
names(s4)[1]

# Υπολογισμός διαμέσου για περιττό πλήθος τιμών
dm<-c(18,25,21,4,13,15,28,17,22) # οι τιμές των οποίων θέλουμε τη διάμεσο
# Ο ταξινομημένος πίνακας
sort(dm)
# Οι αντίστοιχες θέσεις ιεράρχησης
rank(sort(dm))
# Το πλήθος τιμών του
length(dm)
# Η διάμεσος είναι το μεσαίο στοιχείο του ταξινομημένου πίνακα
sort(dm)[ceiling(length(dm)/2)] 
# Διάμεσος, απευθείας
median(dm)

# Υπολογισμός διαμέσου για άρτιο πλήθος τιμών
dm<-c(18,25,21,4,13,15,17,22) # οι τιμές των οποίων θέλουμε τη διάμεσο
# Ο ταξινομημένος πίνακας
sort(dm)
# Οι αντίστοιχες θέσεις ιεράρχησης
rank(sort(dm))
# Το πλήθος τιμών του
length(dm)
# Η διάμεσος είναι ο μέσος όρος των μεσαίων στοιχείων του ταξινομημένου πίνακα
mean(sort(dm)[(length(dm)/2):(length(dm)/2+1)]) 
# Διάμεσος, απευθείας
median(dm)

# Υπολογισμός διαμέσου με επαναλαμβανόμενες τιμές
dm<-c(13,21,17,4,13,21,17,21,28) # οι τιμές των οποίων θέλουμε τη διάμεσο
# Ο ταξινομημένος πίνακας
sort(dm)
# Οι αντίστοιχες θέσεις ιεράρχησης
rank(sort(dm))
# Το πλήθος τιμών του
length(dm)
# Μπορούμε να τα δούμε όλα ταυτόχρονα σε έναν πίνακα:
rbind(sort(dm),rank(sort(dm)),1:length(dm))
# Η διάμεσος είναι το μεσαίο στοιχείο του ταξινομημένου πίνακα
sort(dm)[ceiling(length(dm)/2)] 
# Διάμεσος, απευθείας
median(dm)

# Διάμεσος τιμών «γλωσσικής ικανότητας»
median(ch4$performance)

# Αριθμητικός μέσος όρος
dm<-c(15,18,16,24,27,19,22)
# Υπολογισμός μέσου όρου
sum(dm)/length(dm)
# Μέσος όρος, απευθείας
mean(dm)

# Αριθμητικός μέσος όρος τιμών «γλωσσικής ικανότητας»
mean(ch4$performance)




